#ifndef _MY_BUTTONS_H
#define _MY_BUTTONS_H

#include "OneButton.h"
#include "global.h"

#define DEBOUCE_TIME (BUTTON_UPDATE_PERIOD-24)

#define btn1Pin Button1_Pin
#define btn2Pin Button2_Pin
#define btn3Pin Button3_Pin

extern OneButton *btn[3];
 

#define Update_Buttons() btn[1]->tick(); btn[2]->tick(); btn[3]->tick();

void Init_ButtonEvents(void);

void btn1_click();
void btn1_doubleClick();

void btn2_click();
void btn2_doubleClick();
void btn2_LongPressStart();

void btn3_click();
void btn3_doubleClick();
void btn3_LongPressStart();
void btn3_LongPressStop();



#endif